/*
Copyright (c) 2006. The Regents of Columbia University, All Rights Reserved.
 
Permission to use, copy and distribute this software and its documentation 
for any purpose, without fee, and without a written agreement, is hereby granted, 
provided that the above copyright notice, this paragraph and the following two 
paragraphs appear in all copies and distributions.  

Created by Lulin Song, 
           International Research Institute Society,
           Columbia University

                       
REGENTS SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A  PARTICULAR PURPOSE. THE SOFTWARE AND ACCOMPANYING DOCUMENTATION,
IF ANY, PROVIDED HEREUNDER IS PROVIDED "AS IS". REGENTS HAS
NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
MODIFICATIONS.
*/

#include "winExtra.h"
#include <iostream>

double drand16()
{
  int intermediate = rand(); //16 bits integer on Windows
  if( intermediate == RAND_MAX ) return 0.0;
  return ((double)intermediate)/RAND_MAX;
}
void srand48( time_t x)
{
  srand(x); //seed the rand
}

void getWindowFileName( char* filename)
{
  /* remove " from file name */
  size_t len = strlen(filename);
  if(filename[0]=='\"')
    {
      for(size_t m=1;m<len-1;m++)
	{
	  filename[m-1]=filename[m];
	}
      filename[len-2]='\0';
    }
}
